<?

include "counter.inc.php";
include_once "auth.inc.php";

if($cfg['stat']['debug']) {

    list($msec,$sec)=explode(" ",microtime());
    define("start",(float)$msec+(float)$sec);

}

include"includes/index.inc.php";
include"includes/numeric.inc.php";

#ob_start("ob_gzhandler");
#include("login.php");

header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");              # Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); # always modified
header("Cache-Control: no-store, no-cache, must-revalidate");  # HTTP/1.1
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");                                    # HTTP/1.0

$cdate = $STAT->get_date("%m") . "-" . $STAT->get_date("%Y");

$report = isset($_GET['report']) ? $_GET['report'] : 'hints';
$filter = isset($_GET['filter']) ? $_GET['filter'] : '';
$month  = isset($_GET['month'])  ? $_GET['month']  : $cdate;
$pc     = isset($_GET['pc'])     ? $_GET['pc']     : 30;
$page   = isset($_GET['page'])   ? $_GET['page']   : 1;

$links = array(
               ""                   => 'hints',
               " "            => 'referers',
               " "        => 'words',
               " " => 'requests',
               ""               => 'agents',
               " "       => 'spiders',
              );

?>
<html>
<head>
<title>SpeSta: <?echo(array_search($report,$links))?> ( <?echo$cfg['stat']['version']?>)</title>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<link rel="icon" href="<?=$cfg['stat']['webdir']?>/favicon.ico" type="image/vnd.microsoft.icon" />
<link rel="shortcut icon" href="<?=$cfg['stat']['webdir']?>/favicon.ico" type="image/vnd.microsoft.icon" />
<link href="style.css" rel="stylesheet" type="text/css">
</head>
<body vlink="#500000" alink="#ffffff">
<form action="." method="get">
<input type="hidden" name="report" value="<?echo$report?>">
<input type="hidden" name="month" value="<?echo$month?>">
<table width="100%" cellspacing="1" cellpadding="2">
<tr>
<td><a href="http://www.<?=$STAT->host?>" target="_blank"> </a> | <a href="reports/"></a> | <a href="login.php?l=logout"></a></td>
<td align="right">
<?
if (file_exists($STAT->path("sites"))) {

    $os = array();
	$current_site = strtolower($_SERVER['HTTP_HOST']);

    $url  = parse_url($_SERVER['PHP_SELF']);
    $link = isset($url['query']) ? "/?{$url['query']}" : "/";

    foreach(file($STAT->path("sites")) as $site) {

        $site = rtrim($site);

		if (strpos($site, '|') !== false)
		{
			list($name, $site) = explode('|', $site, 2);

			if (substr($site, 0, 7) == 'http://')
			{
				$url  = $site;

				$data = parse_url($site);
				$site = $data['host'];

			}
			else
			{
				$url  = 'http://'.$site.$link;
			}
		}
		else
		{
			$name = $site;
			$url  = 'http://'.$site.$link;
		}


		$os[] = strtolower($site) == $current_site ?
				"<a href='$url'><b>$name</b></a>" :
				"<a href='$url'>$name</a>";

    }

    echo implode(" | ", $os);
}

?>
</td>
</tr>
</table>
<br>
<table width="100%" class="frm4" cellspacing="5" cellpadding="1">
<tr>
<td width="5"><img src="spesta.png" width="32" height="32" border="0"></td>
<td align="center">
<?

$navigate = array();

foreach($links as $desc => $val)

    if($report != $val) $navigate[] = "<a href='?report=$val&pc=$pc'>" . $desc . "</a>";
    else                $navigate[] = "<a href='?report=$val&pc=$pc'><b>" . $desc . "</b></a>";

echo implode(" | ",$navigate);

?>
</td>
<td width="220" align="center" nowrap>
  : <select name="pc" class="frm4">
<?

$vals   = array(10,20,30,50,75,100,150,200);
$select = '';

foreach($vals as $val) {

    $select .= "<option value='$val'";

    if($pc == $val) $select .= " selected";

    $select .= ">$val</option>\n";

}

echo $select;

?>
</select>
<input type="submit" value="OK" class="frm4">
</td>
</tr>
</table>
</form>
<?

$content = '';

if(!empty($report) && file_exists("includes/$report.inc.php")) include"includes/$report.inc.php";
else include"includes/hits.inc.php";

echo $content
    ."<p align='center'>SpeSta v{$cfg['stat']['version']}.   &mdash; <a href='http://bolknote.ru'>BOLK</a> 
<a href=http://www.analog-group.ru>Analog Group</a></p>";

if($cfg['stat']['debug']) {

    list($msec,$sec) = explode(" ",microtime());
    echo"<p align='center'><small>[     ".round(((float)$msec+(float)$sec)-start,3)." . ]</small></p>\n";

}

?>
</body>
</html>
