<?

include "config.inc.php";

$prev_display_error = @ini_get('display_errors');

if ($cfg['stat']['errors'])
{

    $prev_error = error_reporting(E_ALL);
    @ini_set("display_errors", 1);
}
else
{

    $prev_error = error_reporting(0);
    @ini_set("display_errors", 0);
}

$STAT = new stats($cfg);

error_reporting($prev_error);
@ini_set("display_errors", $prev_display_error);

class stats {

    var $ip;       # ip- 
    var $host;     #  
    var $agent;    #  
    var $request;  #  
    var $referer;  #   

    var $cfile;          #      
    var $counter;        #      
    var $is_referer = 0; #     ?
    var $is_engine  = 0; #     ?

	var $fp; #   

    function stats($cfg) {

		$this->cfg = $cfg;

        $this->host = isset($_SERVER['HTTP_HOST']) ? $_SERVER['HTTP_HOST'] : '';
        $this->host = preg_replace("!^http://www\.|^http://|^www\.!is", "", $this->host);

    }

    function counter() {

		$this->ip_itself = $_SERVER['REMOTE_ADDR'];

        $fields = array
        (
            'HTTP_X_FORWARDED_FOR' => '', 'CLIENT_IP' => '', 'HTTP_FROM' => '', 'HTTP_CLIENT_IP' => '',
            'HTTP_CLIENTIP' => '', 'HTTP_CLIENT' => '', 'HTTP_X_FORWARDED' => '', 'HTTP_X_DELEGATE_REMOTE_HOST' => '',
            'HTTP_REMOTE_ADDR' => '', 'HTTP_SP_HOST' => '',

            'HTTP_USER_AGENT' => '', 'HTTP_ACCEPT_LANGUAGE' => '', 'HTTP_ACCEPT_CHARSET' => '',
            'HTTP_ACCEPT_ENCODING' => '', 'HTTP_TE' => '', 'HTTP_UA_CPU' => '', 'HTTP_VIA' => '',
        );

		if (PHP_VERSION >= 5.1)
		{
			$uniq = array_intersect_key($_SERVER, $fields);
			$uniq = implode('~', $uniq);
		}
		else
		{
			$uniq = '';

    	    foreach ($fields as $field => $nil)
        	if (isset($_SERVER[$field]))
	        $uniq .= '~'.$_SERVER[$field];
		}

        $ip = $this->ip_itself . ' (' . md5($uniq) . ')';

        $this->ip = $ip;

        $this->agent   = isset($_SERVER['HTTP_USER_AGENT']) ? $_SERVER['HTTP_USER_AGENT'] : '&lt;   &gt;';
        $this->referer = isset($_SERVER['HTTP_REFERER'])    ? $_SERVER['HTTP_REFERER']    : '';
        $this->request = isset($_SERVER['REQUEST_URI'])     ? $_SERVER['REQUEST_URI']     : '';

		$this->agent   = str_replace('|', '', $this->agent);
		$this->referer = str_replace('|', '%7C', $this->referer);

        if(!empty($this->referer) && $this->referer != '/') {

            $url = parse_url($this->referer);

            $this->referer = substr($url['host'], 0, 4) == 'www.' ? substr($url['host'], 4) : $url['host'];


            if($url['path'] != '/')     $this->referer .= $url['path'];
            if(isset($url['query']))    $this->referer .= "?{$url['query']}";
            if(isset($url['fragment'])) $this->referer .= "#{$url['fragment']}";

        }
        else $this->referer = '';

        if($this->request != '/') {

            $url = parse_url($this->request);

            if(ereg("\/$", $url['path']))
            $url['path'] = substr($url['path'], 0, -1);
            $url['path'] = substr($url['path'], 1);

            $this->request = $url['path'];

            if(isset($url['query']))    $this->request .= "?{$url['query']}";
            if(isset($url['fragment'])) $this->request .= "#{$url['fragment']}";

        }

        $count = 1;

		if (in_array($this->ip_itself, $this->cfg['stat']['ip'], true)) {

            #    ip  
            echo"<div style='font-family:tahoma; font-size:11px;'>"
               ."IP: $this->ip<br>\n"
               ."Host: $this->host<br>\n"
               ."Agent: $this->agent<br>\n"
               ."Request: $this->request<br>\n"
               ."Referer: $this->referer\n"
               ."</div>";

            $count = 0;
        }

        #    ip   
        if($count) {

            $this->add("requests", $this->request); #   

            if($this->search($this->cfg['stat']['spiders'], $this->agent)) $this->add("spiders", $this->agent);
            else {

                #     ,   
                if(!empty($this->referer) && !stristr($this->referer,$this->host)) $this->referer();

                $this->get_counter(); #  
                # |-1|-2|-3|  -4|  -5| -6|text-7

                if ($this->counter[0] <> date('d.m.y'))
				$this->end_day();     # . .

				if (!headers_sent())
				{
					// spesta-bolk   ID 
					if (!isset($_COOKIE['spesta-bolk']) || strlen($uid = $_COOKIE['spesta-bolk']) <> 32)
					{
						$uid = md5(uniqid('', true).$_SERVER['REMOTE_ADDR']);

						//  cookie   
						list($d, $m, $y) = explode('-', date('d-m-Y'));
						$time = mktime(23, 59, 59, $m, $d, $y);

						setcookie('spesta-bolk', $uid, $time, '/');

						//   uid  hash ip
						$this->visitor_link($this->ip, $uid);

	    	            if (!$this->ip())
						$this->new_visitor(); #  . .
					}
					else
					{
						// $uid   strlen,  

						//     
						// ,     ,
						// ,    
						$this->visitor_link(null, $uid);
					}
				}
				else
				{
	                if (!$this->ip())
					$this->new_visitor(); #  . .
				}


                $this->save(); #   

            }

        }

    }

	function visitor_link($ip, $uid)
	{
		$fname = $this->path('visitor_link');

		$fp = fopen($fname, 'a+b');
		if ($fp)
		{
			flock($fp, LOCK_EX);
			fseek($fp, 0);

			$data = ($size = filesize($fname)) ? unserialize(fread($fp, $size)) : array();

   			if ($ip === null)
			{
				//    ,
				//      IP-
				//    ip-cookie-
				$this->ip_cookie($uid, isset($data[$uid]) ? $this->ip_remove($data[$uid]) : false);

   				unset($data[$uid]);
			}
			else
			{
   				$data[$uid] = PHP_VERSION < 5 ? md5($ip) : md5($ip, true);
			}

   			ftruncate($fp, 0);
   			fseek($fp, 0);

   			fwrite($fp, serialize($data));
   			fclose($fp);
		}
	}

	// $counted  ,   IP    
	function ip_cookie($uid, $counted = false)
	{
		$fname = $this->path('ip_cookie');

		$fp = fopen($fname, 'a+b');
		if ($fp)
		{
			flock($fp, LOCK_EX);
			fseek($fp, 0);

			$data = ($size = filesize($fname)) ? unserialize(fread($fp, $size)) : array();

			if (!isset($data[$uid]))
			{
				$data[$uid] = '';
  				ftruncate($fp, 0);
  				fseek($fp, 0);

  				fwrite($fp, serialize($data));
  				fclose($fp);

				$counted or $this->new_visitor();
			}
			else
			{
	   			fclose($fp);
			}
		}
		
	}

    function ip_remove($ip)
	{
        $f  = $this->path("ip");

		$fp = fopen($f, 'a+b');
		flock($fp, LOCK_EX);
		$size = filesize($f);

		if ($size)
		{
			fseek($fp, 0);
			$ips = fread($fp, $size) ;

			$ips = PHP_VERSION < 5 ? explode("\n", chunk_split($ips, strlen($ip), "\n")) : str_split($ips, strlen($ip));
			$idx = array_search($ip, $ips, true);

			if ($idx !== false)
			{
				unset($ips[$idx]);

				ftruncate($fp, 0);
				fseek($fp, 0);

				fwrite($fp, implode('', $ips));
				fclose($fp);
				return true;
			}
		}

		fclose($fp);
		return false;
    }



    function get_counter() {

        $this->cfile = $this->path("count");

		$this->fp = fopen($this->cfile, 'a+b');

		flock($this->fp, LOCK_EX);
		$size = filesize($this->cfile);

		if ($size)
		{
			fseek($this->fp, 0);
            $this->counter = explode('|', fread($this->fp, $size));
		}
		else
		{
		    $this->counter = array(
                                    0 => $this->get_date("%d.%m.%y"),
                                    1 => 0,
                                    2 => 0,
                                    3 => 0,
                                    4 => 0,
                                    5 => 0,
                                    6 => 0,
                                    7 => 0
                                   );
		}
    }

    function tolog($str) {

		if (PHP_VERSION < 5)
		{
            $fp = fopen($this->cfg['stat']['dir']."/errors.txt", "ab");
			flock($fp, LOCK_EX);
			fwrite($fp, "[ " . $this->get_date() . " ] $str\r\n");
            fclose($fp);
		}
		else
		{
			file_put_contents($this->cfg['stat']['dir']."/errors.txt", "[ " . $this->get_date() . " ] $str\r\n", FILE_APPEND | LOCK_EX);
		}

    }

    function search($arr, $val) {

		$val = strtolower($val);

        foreach($arr as $name => $value)
		if (strpos($val, strtolower($value)) !== false) return true;

        return false;

    }

    function add_engine($engine, $sw) {

        $word = urldecode($this->referer);
        $word = stripslashes($word);

        if ($engine == 'G' || preg_match('//u', $word, $m)) $word = $this->utf_decode($word);

		$sw = rtrim($sw, '=');
		parse_str($word, $words);

		if (!isset($words[$sw])) return;

		$word = htmlspecialchars($words[$sw]);

        $string = "[ <small><b><a href='http://{$this->referer}' target='_blank'>$engine</a></b></small> ] : <small>[ " . $this->get_date() . " ]</small> <a href='http://{$this->host}/{$this->request}' target='_blank'>$word</a><br>\n";

		$fp = fopen($this->path("se"), 'a+b');
		flock($fp, LOCK_EX);
		fseek($fp, 0);

		$arr = explode("\n", fread($fp, filesize($this->path("se"))));

        array_unshift($arr, $string);

		fseek($fp, 0);
		ftruncate($fp, 0);

		fwrite($fp, implode("\n",$arr));
		fclose($fp);

        array_slice($arr,0,10);

        $this->cwrite($this->path("se10"), implode("\n",$arr));

        $this->add("words", $word);

    }

    function add($file, $value) {

        $path = $this->path($file);

        $data = array();
        $find = false;

		$fp = fopen($path, 'a+b');
		flock($fp, LOCK_EX);

		$size = filesize($path);

		if ($size) {

			fseek($fp, 0);
            $data = explode("\n", str_replace("\r", '', fread($fp, $size)));

            if(!$data) $this->tolog("  $file ($path)");
            else {

                foreach($data as $i => $str) {
					if (substr($str, 0, strlen($value)+1) == $value.'|')
					{

	                    $str = explode('|', $str, 4);

                        $str[1]++;
                        $str[3] = $this->get_date();
                        $find   = true;
						
	                    $data[$i] = implode("|", $str);

						break;
					}
                }

            }

        }

        if(!$find) $data[] = $value . '|1|' . $this->get_date() . '|' . $this->get_date();

		fseek($fp, 0);
		ftruncate($fp, 0);

		if (@fwrite($fp, implode("\n", $data)) === FALSE) $this->tolog("  $file ($path)");
        @fclose($fp);

        return $find;

    }

    function ip() {

        $f  = $this->path("ip");
		$ip = PHP_VERSION < 5 ? md5($this->ip) : md5($this->ip, true);

		$fp = fopen($f, 'a+b');
		flock($fp, LOCK_EX);
		$size = filesize($f);

		if ($size)
		{
			fseek($fp, 0);
			$ips = fread($fp, $size) ;

			$ips = PHP_VERSION < 5 ? explode("\n", chunk_split($ips, strlen($ip), "\n")) : str_split($ips, strlen($ip));


			if (in_array($ip, $ips, true))
			{
				fclose($fp);
				return true; //  
			}

			fseek($fp, 0, SEEK_END);
		}

		fwrite($fp, $ip);
		fclose($fp);

		return false; //  
    }

    function path($name)
	{

        return "{$this->cfg['stat']['dir']}/data/$name.txt";

    }

    function get_date($mask = false, $mon = 0) {

        if(!$mask) $mask = '%d.%m.%y %H:%M';

        $arr = getdate(time());

        $timestamp = mktime(
                            $arr['hours']   + $this->cfg['stat']['time']['h'],
                            $arr['minutes'] + $this->cfg['stat']['time']['m'],
                            $arr['seconds'] + $this->cfg['stat']['time']['s'],
                            $arr['mon']     + $mon,
                            $arr['mday'],
                            $arr['year']
                           );

        return strftime($mask, $timestamp);

    }

    function cread($file) { # S_fr

        if (file_exists($file))
        {

			if (PHP_VERSION < 4.3)
            {

                $fp = fopen($file,"rb");
                flock($fp,LOCK_SH);

                $data = fread($fp, filesize($file));
                fclose($fp);

                return $data;

            } else {

                return file_get_contents($file);
            }
        }

        return null;

    }

    function cwrite($file, $text, $add = 0) { # S_fw

        if (PHP_VERSION < 5)
        {
            if ($add)
            {

                $fp = fopen($file, "ab");
    			flock($fp, LOCK_EX);
                fwrite($fp, $text);
                fclose($fp);

            }
            else
            {

    			$fp = fopen($file, 'a+b');
    			flock($fp, LOCK_EX);
    			fseek($fp, 0);
    			ftruncate($fp, 0);

                fwrite($fp, $text);
                fclose($fp);
            }
		}
        else
        {
                file_put_contents($file, $text, ($add ? FILE_APPEND : 0) | LOCK_EX);
        }
    }

    function referer() {

        $url = urldecode($this->referer);

        $this->is_referer = 1;

        if(stristr($url,"=")) {

            foreach($this->cfg['stat']['engines'] as $nm => $sw)

                if(stristr($url, $sw)) {

                    $this->is_engine  = 1;
                    $this->is_referer = 0;
                    break;

                }

        }

        if($this->is_engine) $this->add_engine($nm, $this->cfg['stat']['requests'][$nm]);
        else                 $this->add("referers", $this->referer);

    }

    function new_visitor() {

        $arr = $this->counter;

        $arr[1]++; # 

        $this->add("agents", $this->agent); #  

        $arr[4] = $arr[4] + $this->is_engine;  #   
        $arr[5] = $arr[5] + $this->is_referer; #   

        $this->counter = $arr;

    }

    function end_day() {

        $arr = $this->counter;

        $day = implode("|", $arr);

        $fp = @fopen($this->path("days"), "ab");

		if ($fp)
		{
			flock($fp, LOCK_EX);
			fwrite($fp, $day."\r\n");
			fclose($fp);
		}

        #   
        if(substr($arr[0],3) != $this->get_date("%m.%y")) $this->end_month();

		foreach (array('ip', 'visitor_link', 'ip_cookie') as $file)
		{
			if (file_exists($this->path($file)))
	        unlink($this->path($file));
		}

        $arr = array(
                     0 => $this->get_date("%d.%m.%y"),
                     1 => 0,
                     2 => 0,
                     3 => 0,
                     4 => 0,
                     5 => 0,
                     6 => 0,
                     7 => 0
                    );

        $this->counter = $arr;

    }

    function end_month() {

        global $IS_REPORT;

        $IS_REPORT = 1;

        $PATH  = "{$this->cfg['stat']['dir']}/reports/";
        $MONTH = $this->get_date("%m-%y",-1);

        @rename($this->path("days"),     $PATH . "hits_" . $MONTH . ".txt");
        @rename($this->path("referers"), $PATH . "refs_" . $MONTH . ".txt");
        @rename($this->path("requests"), $PATH . "reqs_" . $MONTH . ".txt");
        @rename($this->path("words"),    $PATH . "wrds_" . $MONTH . ".txt");
        @rename($this->path("agents"),   $PATH . "agns_" . $MONTH . ".txt");
        @rename($this->path("spiders"),  $PATH . "spds_" . $MONTH . ".txt");
    }

    function save() {

		if (!$this->fp) return;

        #  
        $this->counter[2]++; #  
        $this->counter[3]++; # 

        if($this->request == '/') $this->counter[6]++; #  

		fseek($this->fp, 0);
		ftruncate($this->fp, 0);

		fwrite($this->fp, implode("|",$this->counter));
        fclose($this->fp);

		$this->fp = null;
    }

    function utf_decode($string) {

		if (function_exists('iconv')) return iconv('UTF-8', 'CP1251//IGNORE', $string);
		if (function_exists('mb_convert_encoding')) return mb_convert_encoding($string, 'UTF-8', 'CP1251');

        return $string;

    }
}