<?php

if(!isset($cfg)) include"counter.inc.php";

include_once "auth.inc.php";

if(!isset($IS_REPORT)) $IS_REPORT = 0;
if(!$IS_REPORT)        header("Content-type: image/png");

$LANG = file_exists('fonts/font.gdf') || file_exists('fonts/font.ttf') ? $cfg['stat']['graphlang'] : 'eng';

if ($LANG == 'rus') @setlocale(LC_TIME, array('ru_RU.WIN_CP_1251', 'rus_RUS.1251', 'ru_RU.CP1251'));

function utf_encode($string)
{
	if (function_exists('iconv')) return iconv('CP1251', 'UTF-8//IGNORE', $string);
	if (function_exists('mb_convert_encoding')) return mb_convert_encoding($string, 'CP1251', 'UTF-8');

    return $string;
}


function SP_print(&$image, $x, $y, $str, $color, $params = null)
{
	global $LANG;

	static $font = null;
	static $loc  = null;

	if ($LANG == 'rus')
	{
		if ($font === null)
		{
			$font = imageloadfont('fonts/font.gdf');
			$loc = array
			(
				'AUDIENCE:' => ':',
				'SEARCH ENGINES:' => ':',
				'OTHER SITES:' => '  :',
				'DATE:' => ':',
				'UNIQUE:' => ':',
				'HITS:' => '',
				'HOMEPAGE HITS:' => '  :',
				'- Hits' => '- ',
				'- Site audience' => '- ',
				'- Unique visitors' => '- ',
				'VISITS BY DAYS FOR %s BY SPESTA 2 FROM ANALOG GROUP AND BOLK // %s' => '    %s, Spesta2  Analog Group  BOLK // %s',

                "UNIQUES TOTAL: %s" => ' :   %s',
                "HITS TOTAL:    %s" => ' :        %s',
                "HOMEPAGE HITS: %s" => '  : %s',

                "PAGES" => '',
                "PER VISITOR: %s" => ' : %s',

                "OTHER SITES:    %s" => ' :  %s',
                "SEARCH ENGINES: %s" => ':    %s',
                "AVR. AUDIENCE:  %s" => '. : %s',

			);
		}

		if (isset($loc[$str]))
		{
			$str = $loc[$str];

			$fnum = $font;
		}
		else
		{
			$fnum = 1;
		}
	}
	else
	{
		$fnum = 1;
	}

	if ($params !== null) $str = vsprintf($str, $params);

	if (function_exists('imagettftext') && file_exists('fonts/font.ttf'))
	{
		imagettftext($image, 7, 0, $x, $y+7, $color, 'fonts/font.ttf', utf_encode($str));
	}
	else
	{
		imagestring($image, $fnum, $x, $y, $str, $color);
	}
}


$bet = 34; # 
$shi = 12; # 
$off = 1;  # 

$image = imagecreate(600, 330);
$white = imagecolorallocate($image,255,255,255);
$blue  = imagecolorallocate($image,0,0,200);
$green = imagecolorallocate($image,0,200,0);
$red   = imagecolorallocate($image,255,0,000);

$black  = imagecolorallocate($image,0,0,0);
$gred   = imagecolorallocate($image,200,120,50);
$ggred  = imagecolorallocate($image,214,148,88);
$gray   = imagecolorallocate($image,200,200,200);
$lgray  = imagecolorallocate($image,230,230,180);
$llgray = imagecolorallocate($image,245,245,245);

imagefilledrectangle($image,0,252,600,330,$llgray);

$f = array();

if(file_exists($STAT->path("days"))) $f = @file($STAT->path("days"));
if(!$IS_REPORT)                      $f = array_merge((array) $f,(array) @file($STAT->path("count")));

$to   = count($f);
$from = $to-14;

if($from<0) $from = 0;

$unique = $today = $engines = $sites = $homepage = $auditory = $max1 = $max2 = 0;


for($i=$from; $i<$to; $i++) {

    $day = explode("|", $f[$i]);
	if (sizeof($day) < 7) $day = array_fill(0, 7, 0);

    if($day[1]>$max1) $max1 = $day[1];
    if($day[2]>$max2) $max2 = $day[2];

    $unique   = $unique   + $day[1];
    $today    = $today    + $day[2];
    $engines  = $engines  + $day[4];
    $sites    = $sites    + $day[5];
    $homepage = $homepage + $day[6];
}

$pp = @round(($today-$homepage)/$unique,2)+1;

$i = 0;

for($z=$from; $z<$to; $z++) {

    $day = explode("|", $f[$z]);
	if (sizeof($day) < 7) $day = array_fill(0, 7, 0);

    if($day[2] != "") {

        $w = @round((230/$max2)*$day[2]);

        if($w<4) $w = 4;

        $off = 134;

		$offs   = $off + $bet*$i;
		$offset = $offs + 1;

        imagefilledrectangle($image, $offset, 250-$w+1, $offs+$shi, 249, $lgray); # 
        imagerectangle($image, $offs, 250-$w, $offs+$shi, 249, $black);           # 
        imagerectangle($image, $offset+$shi, 250-$w+3, $offs+$shi+2, 249, $gray); # 

        $w = @round((230/$max1)*$day[1]);

        if($w<5) $w = 1;

        $off = 120;

		$offs   = $off + $bet*$i;
		$offset = $offs + 1;

        imagefilledrectangle($image, $offset, 250-$w+1, $offs+$shi+3, 249, $gred); # 
        imagerectangle($image, $offs, 250-$w, $offs+$shi+3, 249, $black);          # 
        imagerectangle($image, $offs+$shi+4, 250-$w+4, $offs+$shi+5, 249, $black); # 

        $zzz = $day[1]-$day[4]-$day[5];
        $w   = @round((230/$max1)*$zzz);

        if($w<4) $w = $w+31;

        imagefilledrectangle($image, $offset, 250-$w+1, $offs+$shi+3, 249, $ggred); # 
        imagerectangle($image, $offs, 250-$w, $offs+$shi+3, 249, $black);           # 

        #  
        $d = explode(".", $day[0]);
        $d = $d[0] . "." . $d[1];

        SP_print($image, $offset, 255, $d, $blue);
        SP_print($image, $offset, 265, $day[1], $red);
        SP_print($image, $offset, 275, $day[2], $green);
        SP_print($image, $offset, 285, chop($day[6]), $gred);
        SP_print($image, $offset, 300, $day[5], $black);
        SP_print($image, $offset, 310, $day[4], $gred);
        SP_print($image, $offset, 320, $zzz, $ggred);

		$auditory += $zzz;
    }

    $i++;
}

SP_print($image, 3, 255, "DATE:", $blue);
SP_print($image, 3, 265, "UNIQUE:", $red);
SP_print($image, 3, 275, "HITS:", $green);
SP_print($image, 3, 285, "HOMEPAGE HITS:", $gred);

SP_print($image, 3, 300, "OTHER SITES:", $black);
SP_print($image, 3, 310, "SEARCH ENGINES:", $gred);
SP_print($image, 3, 320, "AUDIENCE:", $ggred);


imagefilledrectangle($image, 5,150,20,160,$gred); # 
imagerectangle($image,5,150,20,160,$black);
SP_print($image, 25, 151, "- Unique visitors", $black);

imagefilledrectangle($image, 5,165,20,175,$ggred); # 
imagerectangle($image,5,165,20,175,$black);
SP_print($image, 25, 166, "- Site audience", $black);

imagefilledrectangle($image, 5,180,20,190,$lgray); # 
imagerectangle($image,5,180,20,190,$black);
SP_print($image, 25, 182, "- Hits", $black);

imagerectangle($image,0,296,599,329,$gray);
imagerectangle($image,0,252,600,252,$black);
imagerectangle($image,0,0,599,329,$black);

SP_print
(
	$image,
	2,
	2,
	"VISITS BY DAYS FOR %s BY SPESTA 2 FROM ANALOG GROUP AND BOLK // %s",
	$gred,
	array
	(
		strtoupper($_SERVER['HTTP_HOST']),
		strftime("%a %d %b %H:%M:%S ").substr(strftime('%Z'), 0, 3)
	)
);

SP_print($image, 5, 30, "UNIQUES TOTAL: %s", $black, array($unique));
SP_print($image, 5, 40, "HITS TOTAL:    %s", $black, array($today));
SP_print($image, 5, 50, "HOMEPAGE HITS: %s", $black, array($homepage));

SP_print($image, 5, 70, "PAGES", $black);
SP_print($image, 5, 80, "PER VISITOR: %s", $black, array($pp));

SP_print($image, 5, 100, "OTHER SITES:    %s", $black, array($sites));
SP_print($image, 5, 110, "SEARCH ENGINES: %s", $black, array($engines));
SP_print($image, 5, 120, "AVR. AUDIENCE:  %s", $black, array($to > $from ? round($auditory/($to - $from)) : 0));

$path = "{$cfg['stat']['dir']}/reports/image.png";


if(file_exists($path)) unlink($path);
imagepng($image, $path);

if ($IS_REPORT)
{
	copy($path, $PATH . $MONTH . ".png");
}
else
{
	readfile($path);
}

imagedestroy($image);
?>