<?

$VIEW = new viewer();

class viewer {

    var $path;
    var $all;
    var $fil;
	var $sum;

    function viewer() {

        global $cdate, $report, $month, $pc, $page, $filter;

        $this->path = "?report=$report";

        if($month != $cdate) $this->path .= "&month=$month";
        if($pc != 30)        $this->path .= "&pc=$pc";
        if($page > 1)        $this->path .= "&page=$page";
        if($filter)          $this->path .= "&filter=$filter";

		$this->sum = 0;

    }

    function path($name) {

        global $cfg;

        return "{$cfg['stat']['dir']}/reports/$name.txt";

    }

    function filter() {

        global $report, $month, $filter, $pc;

        $data = "<form target='.' method='get'>\n"
               ."<input type='hidden' name='report' value='$report'>\n"
               ."<input type='hidden' name='month' value='$month'>\n"
               ."<input type='hidden' name='pc' value='$pc'>\n"
               ."<input type='text' name='filter' value='$filter' class='frm4'> "
               ."<input type='submit' value='' class='frm4'>\n";

        if($filter) $data .= "<p><a href='?report=$report&month=$month&pc=pc'>[   ]</a></p>\n";

        $data .= "</form>";

        return $data;

    }

    function month_select($mask) {
       global $report, $month, $cdate, $pc, $filter;

        $data = "<p><b> :</b></p>\n";

        $months = $this->read_dir($mask);

        $months[] = $cdate;

        sort($months);
        reset($months);

        $url = "?report=$report";

        if($pc!=30)         $url .= "&pc=$pc";
        if(!empty($filter)) $url .= "&filter=$filter";

        foreach($months as $cmonth) {

            if (preg_match("/([0-9]{2})-([0-9]{2})/i", $cmonth, $matches))
            {
                 $cmonth = $matches[0];

                 $data .= $cmonth == $month ?
                          "<a href='$url&month=$cmonth'><b>$cmonth</b></a><br>\n" :
                          "<a href='$url&month=$cmonth'>$cmonth</a><br>\n";
            }

        }

        return $data;

    }

    function read_dir($mask) {

        global $cfg;

        $name = array();
        $dir  = "{$cfg['stat']['dir']}/reports/";
        $adds = empty($dir)?".":$dir;

        if($open_dir = opendir($dir)) {

            while(($file = readdir($open_dir))!==false) {

                $type = filetype($adds."/".$file);

                if($file!="." && $file!="..") {

                    if($type == "file" && ereg($mask, $file)) {

                            $name[]=$file;

                    }
                }
            }

            closedir($open_dir);
        }

        return $name;

    }

    function read($fstat) {

        global $NUM, $filter, $pc , $page;

        $data      = array();
        $this->all = 0;
        $this->fil = 0;
		$this->sum = 0;

		touch($fstat);

        $a         = file($fstat);
        $this->all = count($a);
        $this->fil = $this->all;

		if ($filter)
		{
			if (substr($filter, -1) == '!')
			{
				$reg = substr($filter, 0, -1);
				$casesens = '';
			}
			else
			{
				$reg = $filter;
				$casesens = 'i';
			}

			if ($reg[0] == '!')
			{
				$reg = substr($reg, 1);
				$invert =  PREG_GREP_INVERT;
			}
			else
			{
				$invert = 0;
			}
			

			$reg = preg_quote($reg, '/');

			if (PHP_VERSION < 5)
			{
				$count = strpos($reg, '*') !== false;
				$reg   = str_replace('\\*', '.*', $reg);
			}
			else
			{
				$reg = str_replace('\\*', '.*', $reg, $count);
			}

			if ($count)
			{
				$reg = '^'.$reg.'$';
			}
			else
			{
				$casesens = 'i';
			}

			$a = array_values(preg_grep('/'.$reg.'/s'.$casesens, $a, $invert));
            $this->fil = sizeof($a);
		}


        $NUM = new numeric($this->fil);

        $NUM->pc   = $pc;
        $NUM->page = $page;
        $up        = $NUM->pos();
        $down      = $NUM->down;

		for ($i = sizeof($a) - 1; $i>=0; $i--)
		{
			$a[$i] = explode('|', trim($a[$i]));

			if ($a[$i] <> '')
			{
				$this->sum += $a[$i][1];
			}
		}

		usort($a, create_function('$a,$b', 'return $a[1] > $b[1] ? -1 : ($a[1] == $b[1] ? 0 : 1);'));

		return version_compare(PHP_VERSION, '5.0.2', '>=') ?
			array_slice($a, $up, $down - $up, false) :
			array_slice($a, $up, $down - $up);
    }
}

?>