<?php

class numeric {

    var $all;  #  - 
    var $pc;   # -   
    var $up;   #   
    var $down; #   
    var $page; #  
    var $view; # -      
    var $path;

    function numeric($all=0) {

        global $cdate, $report, $month, $pc, $page, $filter;

        $this->path = "?report=$report";

        if($month != $cdate) $this->path .= "&month=$month";
        if($pc != 30)        $this->path .= "&pc=$pc";
        if($filter)          $this->path .= "&filter=$filter";

        $this->path .= "&page=";

        $this->all  = $all;
        $this->pc   = $all;
        $this->up   = 0;
        $this->down = $all;
        $this->page = 1;
        $this->view = 5;

    }

    function size($size) {

        $desc="";

        if($size>1024&&$size<1048576) {

            $size = number_format(round($size/1024,3),3,',',' ');
            $desc = "";

        }
        elseif($size>1024&&$size>1048576) {

            $size = number_format(round($size/1048576,3),3,',',' ');
            $desc = "";

        }

        return array($size,$desc);

    }

    function nav($link=0) {

        if(empty($link)) $link = $this->path;

        if($this->pc<1) $this->pc = $this->all;

        if($this->all>$this->pc) {

            $this->check_page();

            $pages=ceil($this->all/$this->pc);

            $data=$left_gr=$left_ten=$right_ten=$right_gr=$right_prev=$left_prev='';

            for($i = $this->page - $this->view; $i < $this->page; $i++) if($i>=1) $left_gr.="<a href='$link".$i."'>$i</a>&nbsp;";

            $number_left_ten  = $this->page - $this->view;
            $number_right_ten = $this->page + $this->view;

            if(1<$number_left_ten) $left_ten="<a href='$link".($number_left_ten-1)."'>..</a>&nbsp;";
            if($pages+1>$number_right_ten&&$number_right_ten!=$pages) $right_ten="<a href='$link".($number_right_ten+1)."'>..</a>&nbsp;";
            if($this->page!=1) $left_prev="<a href='$link".($this->page-1)."'>&lt;&lt;</a>&nbsp;";
            if($this->page!=$pages) $right_prev="<a href='$link".($this->page+1)."'>&gt;&gt;</a>&nbsp;";

            for($i=$this->page+1; $i<$this->page+$this->view+1; $i++) if($i<=$pages) $right_gr.="<a href='$link".$i."'>$i</a>&nbsp;";

            return " ($pages): ".$left_prev.$left_ten.$left_gr."<b>[$this->page]</b>&nbsp;".$right_gr.$right_ten.$right_prev;

        }
        return '';

    }

    function pos() {

        if($this->pc<1) $this->pc = $this->all;

        $this->check_page();

        $this->up   = 0;
        $this->down = $this->all;

        if($this->pc!=0) {

            #->  
            if($this->all>$this->pc) {

                $pages=ceil($this->all/$this->pc); # - 
                $this->down=$this->pc*$this->page; #    

                if($this->down>$this->all) {

                    $this->up=$this->down-$this->pc;
                    $this->down=$this->all;

                }
                else $this->up=$this->down-$this->pc; #    

            }
            #<-  

        }

        return $this->up;

    }

    function check_page () {

		$total = $this->pc ? ceil($this->all/$this->pc) : 0;

        if( empty($this->page) || !is_numeric($this->page) || $this->page<0 || $this->page>$total ) $this->page=1;

        return $this->page;

    }

}

?>